Rhythmbox fails to connect to DAAP share

Bug #665168 reported by Oscar Tiderman on 2010-10-22
60
This bug affects 10 people
Affects Status Importance Assigned to Milestone
Rhythmbox
Fix Released
Medium
rhythmbox (Ubuntu)
High
Matt Joiner
Natty
Undecided
Unassigned
Oneiric
High
Matt Joiner

Bug Description

Binary package hint: rhythmbox

Ubuntu 10.10 2.6.35-22-generic

In version 0.13.1 Rhythmbox fails to detect DAAP shares automatically. When trying to connect manually through Music->Connect to DAAP share... I get the following message: Could not connect to shared music Cannot resolve hostname (192.168.0.14:3689). No hostname is entered but only IP so no resolving should be needed.

The share is in fact working correct on another laptop with 10.04 Lucid and Rhythmbox 0.12.8 and it also gets autodetected.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: rhythmbox 0.13.1-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.35-22.35-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic x86_64
Architecture: amd64
Date: Fri Oct 22 17:23:13 2010
ExecutablePath: /usr/bin/rhythmbox
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
ProcEnviron:
 LANGUAGE=en_DK:en_US:en
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: rhythmbox

Oscar Tiderman (oscar-tiderman) wrote :
Oscar Tiderman (oscar-tiderman) wrote :

I now works to connect to DAAP share without password. There is no option to input password in Rhythmbox so there is still a problem

Nobuto Murata (nobuto) wrote :

This bug might be a duplicate of Bug #636223.

Matt Joiner (anacrolix) wrote :
Changed in rhythmbox (Ubuntu):
assignee: nobody → Matt Joiner (anacrolix)
status: New → Confirmed
status: Confirmed → In Progress
Matt Joiner (anacrolix) wrote :

The bug renders connecting to DAAP shares with non-standard ports (3689) impossible. Entering _any_ port will also cause host lookup failure as the port is included in the host name.

TEST CASE: In Rhythmbox, click Music->Connect to DAAP Share... in the menu. Enter a hostname and port number in the syntax specified in the dialog (one does not even need to be there). Click the newly added share in the "Shared" section of RB's side pane. An error dialog "Cannot resolve hostname" will come up, regardless of whether or not the host name is valid.

Matt Joiner (anacrolix) wrote :

Please let me know if there's something I've neglected to contribute, and the next step in getting this pushed through SRU.

Martin Pitt (pitti) wrote :

Thanks Matt! Did you get/send this patch from upstream or from an upstream bug? If not, we'll need to forward it to upstream.

Do you know if this also affects 0.13.3 in Ubuntu 11.04?

Matt Joiner (anacrolix) wrote :

This effects Natty for me, and I think any 0.13.x version of Rhythmbox. I have forwarded the patch upstream but I'm unable to add the upstream bug link, or the versions of Ubuntu that it effects here.

Here's the upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=649288

Martin Pitt (pitti) wrote :

Thanks Matt! Seems this landed upstream now, thanks for forwarding!

http://git.gnome.org/browse/rhythmbox/commit/?id=e710ae5e83a965147b63af9ad6179338de81f20b

I'll sponsor this into maverick, natty, oneiric.

Martin Pitt (pitti) wrote :

Fix applied to packaging bzr (and it's also in trunk). We can copy natty-proposed to oneiric after verification, or just wait for the next upload.

Changed in rhythmbox (Ubuntu Oneiric):
status: In Progress → Fix Committed

Accepted rhythmbox into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in rhythmbox (Ubuntu Natty):
status: New → Fix Committed
tags: added: verification-needed
Changed in rhythmbox:
importance: Unknown → Medium
status: Unknown → New
Changed in rhythmbox:
status: New → Fix Released
Pedro Villavicencio (pedro) wrote :

This is working fine on Natty, Setting the verification-done task for it, thanks all.

tags: added: verification-done
removed: verification-needed
Martin Pitt (pitti) wrote :

Still an issue in oneiric, milestoning to avoid falling off the radar.

Changed in rhythmbox (Ubuntu Oneiric):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rhythmbox - 0.13.3-0ubuntu6

---------------
rhythmbox (0.13.3-0ubuntu6) natty-proposed; urgency=low

  * debian/patches/manual_connect_daap_host.patch: (LP: #665168)
    - Fix host name when manually connecting to DAAP share with custom port
 -- Matt Joiner <email address hidden> Thu, 05 May 2011 07:36:31 +0200

Changed in rhythmbox (Ubuntu Natty):
status: Fix Committed → Fix Released
Changed in rhythmbox (Ubuntu Maverick):
status: New → Confirmed
tags: added: lucid
Vince McIntyre (vmcintyr) wrote :

I see this in 0.12.8-0ubuntu7 (lucid version, i386).

The server is mt-daap (0.9~r1696.dfsg-15build1) running on lucid i386 also.
iTunes on a mac sees it just fine and plays songs fine.

I am able to play files from the server with VLC and the http: access method.

I don't see the DAAP server automatically. As it happens there are two on my network but
one has no content. As above, I start rhythmbox, go to Music->Connect to DAAP Share... in the menu. Enter a hostname and port number in the syntax specified in the dialog. Nothing further happens.

With tcpdump I can see the MDNS requests going out and responses coming back.
But there are no further queries, for eg /server-info.

Stracing shows the queries appear to be getting received but I can't see any further attempts to connect to the server.

recvfrom(25, "M-SEARCH * HTTP/1.1\r\nHOST: 239.2"..., 8192, 0, {sa_family=AF_INET, sin_port=htons(58188), sin_addr=inet_addr("192.168.1.6")}, [16]) = 94
gettimeofday({1314074035, 21569}, NULL) = 0
gettimeofday({1314074035, 21744}, NULL) = 0
recvfrom(25, "M-SEARCH * HTTP/1.1\r\nHOST: 239.2"..., 8192, 0, {sa_family=AF_INET, sin_port=htons(58188), sin_addr=inet_addr("192.168.13.6")}, [16]) = 94
gettimeofday({1314074035, 23090}, NULL) = 0
gettimeofday({1314074035, 23372}, NULL) = 0
recvfrom(25, 0xa7e6304, 8192, 0, 0xbfba613c, 0xbfba6138) = -1 EAGAIN (Resource temporarily unavailable)

tags: added: rls-mgr-o-tracking
Jamie Strandboge (jdstrand) wrote :

Marking Oneiric as Fix Released. Not only do I not see this, but the patch in the upstream bug is including in Oneiric's rhythmbox.

Changed in rhythmbox (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Adolfo Jayme (fitojb) on 2013-05-17
no longer affects: rhythmbox (Ubuntu Maverick)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.